Flows

List all process flows

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • latestVersion

  • latestVersion_count

  • latestVersionExists

  • latestVersion.variables

  • deployedVersion

  • deployedVersion_count

  • deployedVersionExists

  • deployedVersion.variables

  • currentVersion

  • currentVersion_count

  • currentVersionExists

  • currentVersion.latestRun

  • currentVersion.steps

  • currentVersion.steps.connector

  • currentVersion.steps.connector.authenticationImplementation

  • currentVersion.steps.connector.authenticationImplementation.system

  • currentVersion.steps.variables

  • currentVersion.steps.cache

  • currentVersion.steps.dataPool

  • currentVersion.steps.scriptVersion

  • currentVersion.steps.scriptVersion.script

  • currentVersion.schedules

  • currentVersion.variables

  • versions

  • versions_count

  • versionsExists

  • versions.schedules

  • versions.variables

  • versions.deployedByUser

  • labels

  • labels_count

  • labelsExists

  • webhooks

  • webhooks_count

  • webhooksExists

  • callbacks

  • callbacks_count

  • callbacksExists

  • notificationGroups

  • notificationGroups_count

  • notificationGroupsExists

  • messageBrokers

  • messageBrokers_count

  • messageBrokersExists

  • messageBrokerQueues

  • messageBrokerQueues_count

  • messageBrokerQueuesExists

  • deployments

  • deployments_count

  • deploymentsExists

  • deployments.virtualEnvironment

  • deployments.flowVersion

  • deployments.package

  • deployments.enabledBy

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • marketplace_app_id

  • labelled

  • enabled

  • deployed

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • flows.id

  • flows.name

  • flows.enabled_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • enabled_at

  • created_at

  • id

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

filter[marketplace_app_id]stringOptional

Filter results by marketplace_app_id.

filter[blueprint_id]stringOptional

Filter results by blueprint_id.

filter[blueprint_version_number]stringOptional

Filter results by blueprint_version_number.

filter[labelled]stringOptional

Filter results by labelled.

filter[enabled]stringOptional

Filter results by enabled.

filter[deployed]stringOptional

Filter results by deployed.

filter[versions.id]stringOptional

Filter results by versions.id.

filter[,]stringOptional

Filter results by ,.

filter[versions]stringOptional

Filter results by versions.

filter[id]stringOptional

Filter results by id.

includestringOptional

Comma-separated list of relationships to include. Available: latestVersion, latestVersion.variables, deployedVersion, deployedVersion.variables, latestDeployedVersion, latestDeployedVersion.variables, latestDeployedVersion.steps.connector.authenticationImplementation.system, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.postScriptVersion, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion.script, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.postScriptVersion.script, latestDeployedVersion.steps.scriptVersion.script, latestDeployedVersion.steps.cache, latestDeployedVersion.steps.dataPool, deployedVersion.steps.connector.authenticationImplementation.system, deployedVersion.steps.connector.authenticationImplementation.system.endpoints, deployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion, deployedVersion.steps.connector.authenticationImplementation.system.endpoints.postScriptVersion, deployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name, enabled_at, created_at, id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows

Create process flow

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow.name

string

flow.description

string

flow.prod_flag

Authorizations
Body
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/flows

Export

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow_id

integer

Authorizations
Body
flow_idintegerRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flows/export

Import

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow

metadata

as_marketplace

Authorizations
Body
flowstringRequired
metadatastringRequired
as_marketplacestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flows/import

Manual

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow_id

integer

version_id

integer

payload

string

flow_variables

virtual_environment_id

integer

Authorizations
Path parameters
flow_idstringRequired

The unique identifier of the flow.

version_idstringRequired

The unique identifier of the version.

Body
flow_idintegerRequired
version_idintegerOptional
payloadstringRequired
flow_variablesstringOptional
virtual_environment_idintegerOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flows/{flow_id}/manual/{version_id}

Start

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow_id

integer

version_id

integer

payload

string

flow_variables

virtual_environment_id

integer

Authorizations
Path parameters
flow_idstringRequired

The unique identifier of the flow.

version_idstringRequired

The unique identifier of the version.

Body
flow_idintegerRequired
version_idintegerOptional
payloadstringRequired
flow_variablesstringOptional
virtual_environment_idintegerOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flows/{flow_id}/start/{version_id}

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • latestVersion

  • latestVersion_count

  • latestVersionExists

  • latestVersion.variables

  • deployedVersion

  • deployedVersion_count

  • deployedVersionExists

  • deployedVersion.variables

  • currentVersion

  • currentVersion_count

  • currentVersionExists

  • currentVersion.latestRun

  • currentVersion.steps

  • currentVersion.steps.connector

  • currentVersion.steps.connector.authenticationImplementation

  • currentVersion.steps.connector.authenticationImplementation.system

  • currentVersion.steps.variables

  • currentVersion.steps.cache

  • currentVersion.steps.dataPool

  • currentVersion.steps.scriptVersion

  • currentVersion.steps.scriptVersion.script

  • currentVersion.schedules

  • currentVersion.variables

  • versions

  • versions_count

  • versionsExists

  • versions.schedules

  • versions.variables

  • versions.deployedByUser

  • labels

  • labels_count

  • labelsExists

  • webhooks

  • webhooks_count

  • webhooksExists

  • callbacks

  • callbacks_count

  • callbacksExists

  • notificationGroups

  • notificationGroups_count

  • notificationGroupsExists

  • messageBrokers

  • messageBrokers_count

  • messageBrokersExists

  • messageBrokerQueues

  • messageBrokerQueues_count

  • messageBrokerQueuesExists

  • deployments

  • deployments_count

  • deploymentsExists

  • deployments.virtualEnvironment

  • deployments.flowVersion

  • deployments.package

  • deployments.enabledBy

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • marketplace_app_id

  • labelled

  • enabled

  • deployed

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • flows.id

  • flows.name

  • flows.enabled_at

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • enabled_at

  • created_at

  • id

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[marketplace_app_id]stringOptional

Filter results by marketplace_app_id.

filter[blueprint_id]stringOptional

Filter results by blueprint_id.

filter[blueprint_version_number]stringOptional

Filter results by blueprint_version_number.

filter[labelled]stringOptional

Filter results by labelled.

filter[enabled]stringOptional

Filter results by enabled.

filter[deployed]stringOptional

Filter results by deployed.

filter[versions.id]stringOptional

Filter results by versions.id.

filter[,]stringOptional

Filter results by ,.

filter[versions]stringOptional

Filter results by versions.

filter[id]stringOptional

Filter results by id.

includestringOptional

Comma-separated list of relationships to include. Available: latestVersion, latestVersion.variables, deployedVersion, deployedVersion.variables, latestDeployedVersion, latestDeployedVersion.variables, latestDeployedVersion.steps.connector.authenticationImplementation.system, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.postScriptVersion, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion.script, latestDeployedVersion.steps.connector.authenticationImplementation.system.endpoints.postScriptVersion.script, latestDeployedVersion.steps.scriptVersion.script, latestDeployedVersion.steps.cache, latestDeployedVersion.steps.dataPool, deployedVersion.steps.connector.authenticationImplementation.system, deployedVersion.steps.connector.authenticationImplementation.system.endpoints, deployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion, deployedVersion.steps.connector.authenticationImplementation.system.endpoints.postScriptVersion, deployedVersion.steps.connector.authenticationImplementation.system.endpoints.preScriptVersion.script

sortstringOptional

Sort field. Prefix with - for descending. Available: name, enabled_at, created_at, id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows/{flow}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow.name

string

flow.description

string

flow.enabled_at

labels

labels.*.id

notification_groups

flow.use_queued_time

flow.remove_failed_payloads

flow.priority

integer

flow.prod_flag

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Body
notification_groupsstringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/flows/{flow}

Destroy

delete

Delete a flow.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/flows/{flow}

Index

get

List all callbacks.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows/{flow}/callbacks

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

status

format

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Body
statusstring · enumOptionalPossible values:
formatstring · enumOptionalPossible values:
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/flows/{flow}/callbacks

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

status

format

Authorizations
Path parameters
flowstringRequired

The flow identifier.

callbackstringRequired

The callback identifier.

Body
statusstring · enumOptionalPossible values:
formatstring · enumOptionalPossible values:
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/flows/{flow}/callbacks/{callback}

Destroy

delete

Delete a callback.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

callbackstringRequired

The callback identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/flows/{flow}/callbacks/{callback}

Duplicate

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

flow_version_id

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Body
flow_version_idstringRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flows/{flow}/duplicate

Update

patch

Update an existing layout direction.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

No content

patch
/api/v1/flows/{flow}/layout-direction

No content

Index

get

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

interval_start

interval_end

interval_unit

string

model_type

string

key

string

keys

managed_companies

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows/{flow}/version-metrics

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • deployedByUser

  • deployedByUser_count

  • deployedByUserExists

  • steps

  • steps_count

  • stepsExists

  • runs

  • runs_count

  • runsExists

  • latestRun

  • latestRun_count

  • latestRunExists

  • schedules

  • schedules_count

  • schedulesExists

  • filters

  • filters_count

  • filtersExists

  • variables

  • variables_count

  • variablesExists

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • created_at

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows/{flow}/versions

Store

post

Create a new version.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
post
/api/v1/flows/{flow}/versions

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • deployedByUser

  • deployedByUser_count

  • deployedByUserExists

  • steps

  • steps_count

  • stepsExists

  • runs

  • runs_count

  • runsExists

  • latestRun

  • latestRun_count

  • latestRunExists

  • schedules

  • schedules_count

  • schedulesExists

  • filters

  • filters_count

  • filtersExists

  • variables

  • variables_count

  • variablesExists

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • created_at

Authorizations
Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows/{flow}/versions/{version}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

deployed_at

Authorizations
Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Body
deployed_atstring · date-time · nullableOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/flows/{flow}/versions/{version}

Destroy

delete

Delete a version.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/flows/{flow}/versions/{version}

Copy

post

Copy for copy.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/flows/{flow}/versions/{version}/copy

Index

get

List all webhooks.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/flows/{flow}/webhooks

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

status

body

string

format

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Body
statusstring · enumOptionalPossible values:
bodystring · nullableOptional
formatstring · enumOptionalPossible values:
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/flows/{flow}/webhooks

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

status

body

string

format

Authorizations
Path parameters
flowstringRequired

The flow identifier.

webhookstringRequired

The webhook identifier.

Body
statusstring · enumOptionalPossible values:
bodystring · nullableOptional
formatstring · enumOptionalPossible values:
hmac_algorithmstring · nullableOptional
hmac_secret_keystring · max: 128 · nullableOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/flows/{flow}/webhooks/{webhook}

Destroy

delete

Delete a webhook.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

webhookstringRequired

The webhook identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/flows/{flow}/webhooks/{webhook}

Last updated

Was this helpful?